clang-tools 10.0.0

Classes | Namespaces | Functions
BackgroundIndexLoader.h File Reference
`#include "Path.h"`
`#include "index/Background.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/StringMap.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/VirtualFileSystem.h"`
`#include <memory>`
`#include <vector>`
Include dependency graph for BackgroundIndexLoader.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::LoadedShard
| Represents a shard loaded from storage, stores contents in `Shard` and metadata about the source file that generated this shard. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
std::vector< LoadedShard > | clang::clangd::loadIndexShards (llvm::ArrayRef< Path > MainFiles, BackgroundIndexStorage::Factory &IndexStorageFactory, const GlobalCompilationDatabase &CDB)
| Loads all shards for the TU `MainFile` from `Storage`. More...